Package de.gebit.integrity.dsl

## Interface KeyValuePair

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`
  All Known Implementing Classes:
    `KeyValuePairImpl`

      public interface KeyValuePair
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Key Value Pair'.

  The following features are supported:

  - `Identifier`
  - `String Identifier`
  - `Value`
  See Also:
    `DslPackage.getKeyValuePair()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getIdentifier()` | Returns the value of the 'Identifier' attribute.
    `String` | `getStringIdentifier()` | Returns the value of the 'String Identifier' attribute.
    `ValueOrEnumValueOrOperationCollection` | `getValue()` | Returns the value of the 'Value' containment reference.
    `void` | `setIdentifier​(String value)` | Sets the value of the '`Identifier`' attribute.
    `void` | `setStringIdentifier​(String value)` | Sets the value of the '`String Identifier`' attribute.
    `void` | `setValue​(ValueOrEnumValueOrOperationCollection value)` | Sets the value of the '`Value`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getIdentifier

          String getIdentifier()

      Returns the value of the 'Identifier' attribute.
      Returns:
        the value of the 'Identifier' attribute.
      See Also:
        `setIdentifier(String)`, `DslPackage.getKeyValuePair_Identifier()`

    - #### setIdentifier

          void setIdentifier​(String value)

      Sets the value of the '`Identifier`' attribute.
      Parameters:
        `value` - the new value of the 'Identifier' attribute.
      See Also:
        `getIdentifier()`

    - #### getStringIdentifier

          String getStringIdentifier()

      Returns the value of the 'String Identifier' attribute.
      Returns:
        the value of the 'String Identifier' attribute.
      See Also:
        `setStringIdentifier(String)`, `DslPackage.getKeyValuePair_StringIdentifier()`

    - #### setStringIdentifier

          void setStringIdentifier​(String value)

      Sets the value of the '`String Identifier`' attribute.
      Parameters:
        `value` - the new value of the 'String Identifier' attribute.
      See Also:
        `getStringIdentifier()`

    - #### getValue

          ValueOrEnumValueOrOperationCollection getValue()

      Returns the value of the 'Value' containment reference.
      Returns:
        the value of the 'Value' containment reference.
      See Also:
        `setValue(ValueOrEnumValueOrOperationCollection)`, `DslPackage.getKeyValuePair_Value()`

    - #### setValue

          void setValue​(ValueOrEnumValueOrOperationCollection value)

      Sets the value of the '`Value`' containment reference.
      Parameters:
        `value` - the new value of the 'Value' containment reference.
      See Also:
        `getValue()`